This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316640 - Please update to 4.1.1 to fix an security bug.
Please update to 4.1.1 to fix an security bug.
Status: CLOSED DUPLICATE of bug 1315247
Product: Fedora
Classification: Fedora
Component: libotr (Show other bugs)
23
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 11:29 EST by Frank Büttner
Modified: 2016-03-11 07:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-11 07:13:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2016-03-10 11:29:01 EST
Description of problem:
Security update: libotr version 4.1.1

    Versions 4.1.0 and earlier of libotr in 64-bit builds contain an integer overflow security flaw. This flaw could potentially be exploited by a remote attacker to cause a heap buffer overflow and subsequently for arbitrary code to be executed on the user's machine.

    CVE-2016-2851 has been assigned to this issue.

    Please upgrade to libotr version 4.1.1 immediately.

    Users of libotr packages in Linux and *BSD distributions should see updated packages shortly.

    This security release includes the following updates:

        Fix an integer overflow bug that can cause a heap buffer overflow (and from there remote code execution) on 64-bit platforms
        Fix possible free() of an uninitialized pointer
        Be stricter about parsing v3 fragments
        Add a testsuite ("make check" to run it), but only on Linux for now, since it uses Linux-specific features such as epoll
        Fix a memory leak when reading a malformed instance tag file
        Protocol documentation clarifications

Version-Release number of selected component (if applicable):
libotr-4.1.0-2.fc23.x86_64
Comment 1 Paul Wouters 2016-03-11 07:13:52 EST
All packages were already pushed before this email was created :)

See: https://bugzilla.redhat.com/show_bug.cgi?id=1315247

*** This bug has been marked as a duplicate of bug 1315247 ***

Note You need to log in before you can comment on or make changes to this bug.